Bug 1104885 - Graphs fail to render due to 'IllegalArgumentException: highValue' caused by bug in bucket aggregation code
Summary: Graphs fail to render due to 'IllegalArgumentException: highValue' caused by ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server, Storage Node
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
: RHQ 4.12
Assignee: John Sanda
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1104888
TreeView+ depends on / blocked
 
Reported: 2014-06-04 21:43 UTC by John Sanda
Modified: 2014-12-15 11:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1104888 (view as bug list)
Environment:
Last Closed: 2014-12-15 11:35:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1015706 None None None Never

Internal Links: 1015706

Description John Sanda 2014-06-04 21:43:17 UTC
Description of problem:
This is similar to bug 1015706. The problem manifests itself in the same way however; it slightly different. With bug 1015706, aggregate metrics were getting computed incorrectly, resulting in invalid metrics being stored. 

In this case the problem is in handling of query results for metrics that can be completely valid. When there is a client requesting data, we do not return the actual metrics. We break the specified date range up into 60 discrete intervals or buckets. The timestamp of each metric determines which bucket it goes into. We then compute the max/min/avg of each bucket. The aggregated buckets are what gets sent to the client. 

We have the same problem in the bucket code where the max gets calculated incorrectly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 John Sanda 2014-06-04 21:43:51 UTC
I will work on data/steps to reproduce this to make testing and verification easier.

Comment 2 John Sanda 2014-06-06 13:55:47 UTC
Fix pushed to master.

commit hash: 1afd4b250

Comment 3 Heiko W. Rupp 2014-12-15 11:35:56 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.